Index: external/fastjet/internal/ClosestPair2D.hh
===================================================================
--- external/fastjet/internal/ClosestPair2D.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/ClosestPair2D.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: ClosestPair2D.hh 4059 2016-03-03 20:49:48Z soyez $
-//
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// $Id: ClosestPair2D.hh 4354 2018-04-22 07:12:37Z salam $
+//
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/ClosestPair2DBase.hh
===================================================================
--- external/fastjet/internal/ClosestPair2DBase.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/ClosestPair2DBase.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: ClosestPair2DBase.hh 4049 2016-03-03 13:45:47Z salam $
+// $Id: ClosestPair2DBase.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/ClusterSequence_N2.icc
===================================================================
--- external/fastjet/internal/ClusterSequence_N2.icc	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/ClusterSequence_N2.icc	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -7,5 +7,5 @@
 // $Id: ClusterSequence_N2.cc 1351 2009-01-09 18:03:03Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/Dnn2piCylinder.hh
===================================================================
--- external/fastjet/internal/Dnn2piCylinder.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/Dnn2piCylinder.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: Dnn2piCylinder.hh 3442 2014-07-24 07:20:49Z salam $
-//
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// $Id: Dnn2piCylinder.hh 4354 2018-04-22 07:12:37Z salam $
+//
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/Dnn3piCylinder.hh
===================================================================
--- external/fastjet/internal/Dnn3piCylinder.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/Dnn3piCylinder.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: Dnn3piCylinder.hh 3442 2014-07-24 07:20:49Z salam $
-//
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// $Id: Dnn3piCylinder.hh 4354 2018-04-22 07:12:37Z salam $
+//
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/Dnn4piCylinder.hh
===================================================================
--- external/fastjet/internal/Dnn4piCylinder.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/Dnn4piCylinder.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: Dnn4piCylinder.hh 3442 2014-07-24 07:20:49Z salam $
+// $Id: Dnn4piCylinder.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/DnnPlane.hh
===================================================================
--- external/fastjet/internal/DnnPlane.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/DnnPlane.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: DnnPlane.hh 3917 2015-07-03 14:07:50Z salam $
-//
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// $Id: DnnPlane.hh 4354 2018-04-22 07:12:37Z salam $
+//
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/DynamicNearestNeighbours.hh
===================================================================
--- external/fastjet/internal/DynamicNearestNeighbours.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/DynamicNearestNeighbours.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: DynamicNearestNeighbours.hh 3619 2014-08-13 14:17:19Z salam $
+// $Id: DynamicNearestNeighbours.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/IsBase.hh
===================================================================
--- external/fastjet/internal/IsBase.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/IsBase.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: IsBase.hh 3433 2014-07-23 08:17:03Z salam $
+// $Id: IsBase.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/LazyTiling25.hh
===================================================================
--- external/fastjet/internal/LazyTiling25.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/LazyTiling25.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -5,7 +5,7 @@
 
 //FJSTARTHEADER
-// $Id: LazyTiling25.hh 3477 2014-07-29 14:34:39Z salam $
+// $Id: LazyTiling25.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/LazyTiling9.hh
===================================================================
--- external/fastjet/internal/LazyTiling9.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/LazyTiling9.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -5,7 +5,7 @@
 
 //FJSTARTHEADER
-// $Id: LazyTiling9.hh 3477 2014-07-29 14:34:39Z salam $
-//
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// $Id: LazyTiling9.hh 4354 2018-04-22 07:12:37Z salam $
+//
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/LazyTiling9Alt.hh
===================================================================
--- external/fastjet/internal/LazyTiling9Alt.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/LazyTiling9Alt.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -3,7 +3,7 @@
 
 //FJSTARTHEADER
-// $Id: LazyTiling9Alt.hh 3807 2015-02-20 11:16:55Z soyez $
-//
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// $Id: LazyTiling9Alt.hh 4354 2018-04-22 07:12:37Z salam $
+//
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/LazyTiling9SeparateGhosts.hh
===================================================================
--- external/fastjet/internal/LazyTiling9SeparateGhosts.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/LazyTiling9SeparateGhosts.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -3,7 +3,7 @@
 
 //FJSTARTHEADER
-// $Id: LazyTiling9SeparateGhosts.hh 3596 2014-08-12 15:27:19Z soyez $
+// $Id: LazyTiling9SeparateGhosts.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/LimitedWarning.hh
===================================================================
--- external/fastjet/internal/LimitedWarning.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/LimitedWarning.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -3,7 +3,7 @@
 
 //FJSTARTHEADER
-// $Id: LimitedWarning.hh 3433 2014-07-23 08:17:03Z salam $
+// $Id: LimitedWarning.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/MinHeap.hh
===================================================================
--- external/fastjet/internal/MinHeap.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/MinHeap.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: MinHeap.hh 3433 2014-07-23 08:17:03Z salam $
+// $Id: MinHeap.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/SearchTree.hh
===================================================================
--- external/fastjet/internal/SearchTree.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/SearchTree.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: SearchTree.hh 3433 2014-07-23 08:17:03Z salam $
+// $Id: SearchTree.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/TilingExtent.hh
===================================================================
--- external/fastjet/internal/TilingExtent.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/TilingExtent.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -5,7 +5,7 @@
 
 //FJSTARTHEADER
-// $Id: TilingExtent.hh 4034 2016-03-02 00:20:27Z soyez $
+// $Id: TilingExtent.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/Triangulation.hh
===================================================================
--- external/fastjet/internal/Triangulation.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/Triangulation.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -4,7 +4,7 @@
 
 //FJSTARTHEADER
-// $Id: Triangulation.hh 3433 2014-07-23 08:17:03Z salam $
+// $Id: Triangulation.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/Voronoi.hh
===================================================================
--- external/fastjet/internal/Voronoi.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/Voronoi.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -3,7 +3,7 @@
 
 //FJSTARTHEADER
-// $Id: Voronoi.hh 3433 2014-07-23 08:17:03Z salam $
-//
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// $Id: Voronoi.hh 4354 2018-04-22 07:12:37Z salam $
+//
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/base.hh
===================================================================
--- external/fastjet/internal/base.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/base.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,7 +1,7 @@
 
 //FJSTARTHEADER
-// $Id: base.hh 4047 2016-03-03 13:21:49Z soyez $
+// $Id: base.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
Index: external/fastjet/internal/deprecated.hh
===================================================================
--- external/fastjet/internal/deprecated.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/deprecated.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,7 +1,7 @@
 
 //FJSTARTHEADER
-// $Id: deprecated.hh 4098 2016-03-15 16:38:22Z salam $
+// $Id: deprecated.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------
@@ -35,7 +35,9 @@
 #include "fastjet/config.h"
 
+#ifndef SWIG
+
 // define a deprecation macro based on the capabilities of the compiler
 // (as determined at configure time).
-#if defined(FASTJET_HAVE_CXX14_DEPRECATED)
+#if defined(FASTJET_HAVE_CXX14_DEPRECATED) and (!defined(__FJCORE__))
 #define FASTJET_DEPRECATED               [[deprecated]]
 #define FASTJET_DEPRECATED_MSG(message)  [[deprecated(message)]]
@@ -48,3 +50,9 @@
 #endif
 
+#else  // SIWG
+#define FASTJET_DEPRECATED               
+#define FASTJET_DEPRECATED_MSG(message) 
+#endif // SWIG
+
+
 #endif // __FASTJET_FASTJET_DEPRECATED_HH__
Index: external/fastjet/internal/numconsts.hh
===================================================================
--- external/fastjet/internal/numconsts.hh	(revision 1d208a26c5a0e04af264db9dd7e0ec1daf2b8235)
+++ external/fastjet/internal/numconsts.hh	(revision 28077b27f9728793825cf24ae283e2cb4ad317b9)
@@ -1,6 +1,6 @@
 //FJSTARTHEADER
-// $Id: numconsts.hh 3433 2014-07-23 08:17:03Z salam $
+// $Id: numconsts.hh 4354 2018-04-22 07:12:37Z salam $
 //
-// Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+// Copyright (c) 2005-2018, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
 //
 //----------------------------------------------------------------------