Index: cards/CLICdet/CLICdet_JetSmearing.tcl
===================================================================
--- cards/CLICdet/CLICdet_JetSmearing.tcl	(revision 35807af3c0a7f52664631ea9e85d635208e44501)
+++ cards/CLICdet/CLICdet_JetSmearing.tcl	(revision 35807af3c0a7f52664631ea9e85d635208e44501)
@@ -0,0 +1,152 @@
+module MomentumSmearing JetMomentumSmearing_VLCR05N2 {
+    set InputArray  FastJetFinderVLC_R05_N2/VLCjetsR05N2
+    set OutputArray JER_VLCjetsR05N2
+
+     # Resolution given in dpT/pT.
+    set ResolutionFormula { 0.1 }
+}
+module MomentumSmearing JetMomentumSmearing_VLCR05N3 {                                       
+ set InputArray  FastJetFinderVLC_R05_N3/VLCjetsR05N3                                        
+  set OutputArray JER_VLCjetsR05N3                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR05N4 {                                       
+ set InputArray  FastJetFinderVLC_R05_N4/VLCjetsR05N4                                        
+  set OutputArray JER_VLCjetsR05N4                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR05N5 {                                       
+ set InputArray  FastJetFinderVLC_R05_N5/VLCjetsR05N5                                        
+  set OutputArray JER_VLCjetsR05N5                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR05N6 {                                       
+ set InputArray  FastJetFinderVLC_R05_N6/VLCjetsR05N6                                        
+  set OutputArray JER_VLCjetsR05N6                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR05_inclusive {                               
+ set InputArray  FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                        
+  set OutputArray JER_VLCjetsR05_inclusive                                                   
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N2 {                                       
+ set InputArray  FastJetFinderVLC_R07_N2/VLCjetsR07N2                                        
+  set OutputArray JER_VLCjetsR07N2                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N3 {                                       
+ set InputArray  FastJetFinderVLC_R07_N3/VLCjetsR07N3                                        
+  set OutputArray JER_VLCjetsR07N3                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N4 {                                       
+ set InputArray  FastJetFinderVLC_R07_N4/VLCjetsR07N4                                        
+  set OutputArray JER_VLCjetsR07N4                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N5 {                                       
+ set InputArray  FastJetFinderVLC_R07_N5/VLCjetsR07N5                                        
+  set OutputArray JER_VLCjetsR07N5                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07N6 {                                       
+ set InputArray  FastJetFinderVLC_R07_N6/VLCjetsR07N6                                        
+  set OutputArray JER_VLCjetsR07N6                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR07_inclusive {                               
+ set InputArray  FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                        
+  set OutputArray JER_VLCjetsR07_inclusive                                                   
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N2 {                                       
+ set InputArray  FastJetFinderVLC_R10_N2/VLCjetsR10N2                                        
+  set OutputArray JER_VLCjetsR10N2                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N3 {                                       
+ set InputArray  FastJetFinderVLC_R10_N3/VLCjetsR10N3                                        
+  set OutputArray JER_VLCjetsR10N3                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N4 {                                       
+ set InputArray  FastJetFinderVLC_R10_N4/VLCjetsR10N4                                        
+  set OutputArray JER_VLCjetsR10N4                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N5 {                                       
+ set InputArray  FastJetFinderVLC_R10_N5/VLCjetsR10N5                                        
+  set OutputArray JER_VLCjetsR10N5                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10N6 {                                       
+ set InputArray  FastJetFinderVLC_R10_N6/VLCjetsR10N6                                        
+  set OutputArray JER_VLCjetsR10N6                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR10_inclusive {                               
+ set InputArray  FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive                        
+  set OutputArray JER_VLCjetsR10_inclusive                                                   
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N2 {                                       
+ set InputArray  FastJetFinderVLC_R12_N2/VLCjetsR12N2                                        
+  set OutputArray JER_VLCjetsR12N2                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N3 {                                       
+ set InputArray  FastJetFinderVLC_R12_N3/VLCjetsR12N3                                        
+  set OutputArray JER_VLCjetsR12N3                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N4 {                                       
+ set InputArray  FastJetFinderVLC_R12_N4/VLCjetsR12N4                                        
+  set OutputArray JER_VLCjetsR12N4                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N5 {                                       
+ set InputArray  FastJetFinderVLC_R12_N5/VLCjetsR12N5                                        
+  set OutputArray JER_VLCjetsR12N5                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12N6 {                                       
+ set InputArray  FastJetFinderVLC_R12_N6/VLCjetsR12N6                                        
+  set OutputArray JER_VLCjetsR12N6                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR12_inclusive {                               
+ set InputArray  FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive                        
+  set OutputArray JER_VLCjetsR12_inclusive                                                   
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N2 {                                       
+ set InputArray  FastJetFinderVLC_R15_N2/VLCjetsR15N2                                        
+  set OutputArray JER_VLCjetsR15N2                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N3 {                                       
+ set InputArray  FastJetFinderVLC_R15_N3/VLCjetsR15N3                                        
+  set OutputArray JER_VLCjetsR15N3                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N4 {                                       
+ set InputArray  FastJetFinderVLC_R15_N4/VLCjetsR15N4                                        
+  set OutputArray JER_VLCjetsR15N4                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N5 {                                       
+ set InputArray  FastJetFinderVLC_R15_N5/VLCjetsR15N5                                        
+  set OutputArray JER_VLCjetsR15N5                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15N6 {                                       
+ set InputArray  FastJetFinderVLC_R15_N6/VLCjetsR15N6                                        
+  set OutputArray JER_VLCjetsR15N6                                                           
+  set ResolutionFormula { 0.1 }                                                              
+}                                                                                            
+module MomentumSmearing JetMomentumSmearing_VLCR15_inclusive {                               
+ set InputArray  FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive                        
+  set OutputArray JER_VLCjetsR15_inclusive                                                   
+  set ResolutionFormula { 0.1 }                                                              
+}                                                 
Index: cards/delphes_card_CLICdet.tcl
===================================================================
--- cards/delphes_card_CLICdet.tcl	(revision a5f4828d20844d780ebe3d4f3df1d21f840d4744)
+++ cards/delphes_card_CLICdet.tcl	(revision 35807af3c0a7f52664631ea9e85d635208e44501)
@@ -86,4 +86,35 @@
 
     
+    JetMomentumSmearing_VLCR05N2                                                                 
+    JetMomentumSmearing_VLCR05N3                                                                 
+    JetMomentumSmearing_VLCR05N4                                                                 
+    JetMomentumSmearing_VLCR05N5
+    JetMomentumSmearing_VLCR05N6
+    JetMomentumSmearing_VLCR05_inclusive
+    JetMomentumSmearing_VLCR07N2
+    JetMomentumSmearing_VLCR07N3
+    JetMomentumSmearing_VLCR07N4
+    JetMomentumSmearing_VLCR07N5
+    JetMomentumSmearing_VLCR07N6
+    JetMomentumSmearing_VLCR07_inclusive
+    JetMomentumSmearing_VLCR10N2
+    JetMomentumSmearing_VLCR10N3
+    JetMomentumSmearing_VLCR10N4
+    JetMomentumSmearing_VLCR10N5
+    JetMomentumSmearing_VLCR10N6
+    JetMomentumSmearing_VLCR10_inclusive
+    JetMomentumSmearing_VLCR12N2
+    JetMomentumSmearing_VLCR12N3
+    JetMomentumSmearing_VLCR12N4
+    JetMomentumSmearing_VLCR12N5
+    JetMomentumSmearing_VLCR12N6
+    JetMomentumSmearing_VLCR12_inclusive
+    JetMomentumSmearing_VLCR15N2
+    JetMomentumSmearing_VLCR15N3
+    JetMomentumSmearing_VLCR15N4
+    JetMomentumSmearing_VLCR15N5
+    JetMomentumSmearing_VLCR15N6
+    JetMomentumSmearing_VLCR15_inclusive
+
 
     JetFlavorAssociation_R05N2
@@ -575,12 +606,12 @@
 	add PhiBins [expr {$i * $pi/30.0}]
     }
-    # deta =0.1 for 0.9 < |eta| <=3.5
-    #for -3.5 to -0.9, 26 segments
-    for {set i 1} {$i <=27} {incr i} {
-	set eta [expr {-3.6 + $i * 0.1}]
+    # deta =0.1 for 0.9 < |eta| <=3.0
+    #for -3.0 to -0.9, 21 segments
+    for {set i 1} {$i <=22} {incr i} {
+	set eta [expr {-3.1 + $i * 0.1}]
 	add EtaPhiBins $eta $PhiBins
     }
-    #same for 0.9 to 3.5
-    for {set i 1} {$i <=27} {incr i} {
+    #same for 0.9 to 3.0
+    for {set i 1} {$i <=22} {incr i} {
 	set eta [expr {0.8 + $i * 0.1 }]
 	add EtaPhiBins $eta $PhiBins
@@ -964,5 +995,10 @@
 #    set ScaleFormula {1.00}
 #}
-
+#########################################
+# Jet Momentum Smearing to mimick overlay
+#########################################
+
+
+source CLICdet/CLICdet_JetSmearing.tcl
 
 ########################
@@ -1037,4 +1073,43 @@
 
 
+    ###with JER
+    add Branch JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2 JER_VLCjetR05N2 Jet
+    add Branch JetMomentumSmearing_VLCR05N3/JER_VLCjetsR05N3 JER_VLCjetR05N3 Jet
+    add Branch JetMomentumSmearing_VLCR05N4/JER_VLCjetsR05N4 JER_VLCjetR05N4 Jet
+    add Branch JetMomentumSmearing_VLCR05N5/JER_VLCjetsR05N5 JER_VLCjetR05N5 Jet
+    add Branch JetMomentumSmearing_VLCR05N6/JER_VLCjetsR05N6 JER_VLCjetR05N6 Jet
+
+    add Branch JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2 JER_VLCjetR07N2 Jet
+    add Branch JetMomentumSmearing_VLCR07N3/JER_VLCjetsR07N3 JER_VLCjetR07N3 Jet
+    add Branch JetMomentumSmearing_VLCR07N4/JER_VLCjetsR07N4 JER_VLCjetR07N4 Jet
+    add Branch JetMomentumSmearing_VLCR07N5/JER_VLCjetsR07N5 JER_VLCjetR07N5 Jet
+    add Branch JetMomentumSmearing_VLCR07N6/JER_VLCjetsR07N6 JER_VLCjetR07N6 Jet
+
+    add Branch JetMomentumSmearing_VLCR10N2/JER_VLCjetsR10N2 JER_VLCjetR10N2 Jet
+    add Branch JetMomentumSmearing_VLCR10N3/JER_VLCjetsR10N3 JER_VLCjetR10N3 Jet
+    add Branch JetMomentumSmearing_VLCR10N4/JER_VLCjetsR10N4 JER_VLCjetR10N4 Jet
+    add Branch JetMomentumSmearing_VLCR10N5/JER_VLCjetsR10N5 JER_VLCjetR10N5 Jet
+    add Branch JetMomentumSmearing_VLCR10N6/JER_VLCjetsR10N6 JER_VLCjetR10N6 Jet
+
+    add Branch JetMomentumSmearing_VLCR12N2/JER_VLCjetsR12N2 JER_VLCjetR12N2 Jet
+    add Branch JetMomentumSmearing_VLCR12N3/JER_VLCjetsR12N3 JER_VLCjetR12N3 Jet
+    add Branch JetMomentumSmearing_VLCR12N4/JER_VLCjetsR12N4 JER_VLCjetR12N4 Jet
+    add Branch JetMomentumSmearing_VLCR12N5/JER_VLCjetsR12N5 JER_VLCjetR12N5 Jet
+    add Branch JetMomentumSmearing_VLCR12N6/JER_VLCjetsR12N6 JER_VLCjetR12N6 Jet
+
+    add Branch JetMomentumSmearing_VLCR15N2/JER_VLCjetsR15N2 JER_VLCjetR15N2 Jet
+    add Branch JetMomentumSmearing_VLCR15N3/JER_VLCjetsR15N3 JER_VLCjetR15N3 Jet
+    add Branch JetMomentumSmearing_VLCR15N4/JER_VLCjetsR15N4 JER_VLCjetR15N4 Jet
+    add Branch JetMomentumSmearing_VLCR15N5/JER_VLCjetsR15N5 JER_VLCjetR15N5 Jet
+    add Branch JetMomentumSmearing_VLCR15N6/JER_VLCjetsR15N6 JER_VLCjetR15N6 Jet
+
+    add Branch JetMomentumSmearing_VLCR05_inclusive/JER_VLCjetsR05_inclusive JER_VLCjetR05_inclusive Jet
+    add Branch JetMomentumSmearing_VLCR07_inclusive/JER_VLCjetsR07_inclusive JER_VLCjetR07_inclusive Jet
+    add Branch JetMomentumSmearing_VLCR10_inclusive/JER_VLCjetsR10_inclusive JER_VLCjetR10_inclusive Jet
+    add Branch JetMomentumSmearing_VLCR12_inclusive/JER_VLCjetsR12_inclusive JER_VLCjetR12_inclusive Jet
+    add Branch JetMomentumSmearing_VLCR15_inclusive/JER_VLCjetsR15_inclusive JER_VLCjetR15_inclusive Jet
+
+    ####
+
     add Branch GenMissingET/momentum GenMissingET MissingET
 
Index: modules/FastJetFinder.cc
===================================================================
--- modules/FastJetFinder.cc	(revision a5f4828d20844d780ebe3d4f3df1d21f840d4744)
+++ modules/FastJetFinder.cc	(revision 35807af3c0a7f52664631ea9e85d635208e44501)
@@ -384,5 +384,11 @@
   if(fExclusiveClustering)
     {
-      outputList = sorted_by_pt(sequence->exclusive_jets( fNJets ));
+   try{
+     outputList = sorted_by_pt(sequence->exclusive_jets( fNJets ));
+   }
+   catch(fastjet::Error)
+     {
+       outputList.clear();
+     }
 
       excl_ymerge23 = sequence->exclusive_ymerge( 2 );