Index: external/fastjet/ClusterSequenceAreaBase.hh
===================================================================
--- external/fastjet/ClusterSequenceAreaBase.hh	(revision 35cdc461e095e63247ab9dded070d76bc2c888e2)
+++ external/fastjet/ClusterSequenceAreaBase.hh	(revision 56562d0e752400791437ba6be3ee8f33afc72f08)
@@ -1,4 +1,4 @@
 //FJSTARTHEADER
-// $Id: ClusterSequenceAreaBase.hh 3433 2014-07-23 08:17:03Z salam $
+// $Id: ClusterSequenceAreaBase.hh 4098 2016-03-15 16:38:22Z salam $
 //
 // Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
@@ -35,4 +35,5 @@
 #include "fastjet/LimitedWarning.hh"
 #include "fastjet/Selector.hh"
+#include "fastjet/internal/deprecated.hh"
 
 FASTJET_BEGIN_NAMESPACE
@@ -144,4 +145,5 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
+  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::median_pt_per_unit_area(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   double median_pt_per_unit_area(const Selector & selector) const;
 
@@ -151,4 +153,5 @@
   /// The selector passed as an argument has to have a finite area and
   /// apply jet-by-jet
+  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::median_pt_per_unit_area_4vector(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   double median_pt_per_unit_area_4vector(const Selector & selector) const;
   
@@ -157,6 +160,7 @@
   /// - something_is_area_4vect = false -> use plain area
   /// - something_is_area_4vect = true  -> use 4-vector area
-  double median_pt_per_unit_something(
-                    const Selector & selector, bool use_area_4vector) const;
+  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::median_pt_per_unit_something(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
+  double median_pt_per_unit_something(const Selector & selector,
+                                      bool use_area_4vector) const;
 
   /// using jets withing the selector range (and with 4-vector areas if
@@ -184,4 +188,5 @@
   /// using a scalar area causes one to neglect terms of relative
   /// order $R^2/8$ in the jet $p_t$.
+  //FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::get_median_rho_and_sigma(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void get_median_rho_and_sigma(const Selector & selector, 
                                         bool use_area_4vector,
@@ -208,4 +213,5 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
+  //FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::get_median_rho_and_sigma(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void get_median_rho_and_sigma(const std::vector<PseudoJet> & all_jets,
 					const Selector & selector, 
@@ -221,10 +227,9 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
+  //FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::get_median_rho_and_sigma(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void get_median_rho_and_sigma(const Selector & selector, 
-                                bool use_area_4vector,
-                                double & median, double & sigma) const {
-    double mean_area;
-    get_median_rho_and_sigma(selector,  use_area_4vector,
-                             median,  sigma, mean_area);
+                                        bool use_area_4vector,
+                                        double & median, double & sigma) const{
+    return _get_median_rho_and_sigma(selector, use_area_4vector, median, sigma);
   }
   
@@ -238,4 +243,5 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
+  //FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::parabolic_pt_per_unit_area(...) is deprecated since FastJet 3.0. Use the BackgroundEstimator series of tools instead")
   virtual void parabolic_pt_per_unit_area(double & a, double & b, 
                                           const Selector & selector, 
@@ -247,4 +253,5 @@
   /// the ordering is the same as that of sorted_by_pt(cs.inclusive_jets()),
   /// i.e. not necessarily ordered in pt once subtracted
+  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_jets(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   std::vector<PseudoJet> subtracted_jets(const double rho,
                                          const double ptmin=0.0) const;
@@ -258,8 +265,10 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
+  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_jets(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   std::vector<PseudoJet> subtracted_jets(const Selector & selector, 
                                          const double ptmin=0.0) const;
 
   /// return a subtracted jet, using area_4vector, given rho
+  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_jet(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   PseudoJet subtracted_jet(const PseudoJet & jet,
                            const double rho) const;
@@ -273,8 +282,10 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
+  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_jet(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   PseudoJet subtracted_jet(const PseudoJet & jet,
                            const Selector & selector) const;
 
   /// return the subtracted pt, given rho
+  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_pt(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   double subtracted_pt(const PseudoJet & jet,
                        const double rho,
@@ -288,4 +299,5 @@
   /// apply jet-by-jet (see the BackgroundEstimator and Subtractor
   /// tools for more generic usages)
+  FASTJET_DEPRECATED_MSG("ClusterSequenceAreaBase::subtracted_pt(...) is deprecated since FastJet 3.0. Use the Subtractor tool (with the BackgroundEstimator series of tools) instead")
   double subtracted_pt(const PseudoJet & jet,
                        const Selector & selector,
@@ -296,4 +308,31 @@
   void _check_selector_good_for_median(const Selector &selector) const;
 
+  // the following set of protected methods are all deprecated. Their
+  // role is simply to hide the corresponding methods (without the
+  // first underscore) from the public interface so that they can be
+  // used internally until all the deprecated methods are removed.
+  // DO NOT USE ANY OF THESE METHODS: THEY ARE DEPRECATED AND WILL BE
+  // REMOVED.
+  virtual void _get_median_rho_and_sigma(const Selector & selector, 
+                                         bool use_area_4vector,
+                                         double & median, double & sigma,
+                                         double & mean_area) const;
+  virtual void _get_median_rho_and_sigma(const std::vector<PseudoJet> & all_jets,
+                                         const Selector & selector, 
+                                         bool use_area_4vector,
+                                         double & median, double & sigma,
+                                         double & mean_area,
+                                         bool all_are_inclusive = false) const;
+  virtual void _get_median_rho_and_sigma(const Selector & selector, 
+                                         bool use_area_4vector,
+                                         double & median, double & sigma) const {
+    double mean_area;
+    _get_median_rho_and_sigma(selector,  use_area_4vector,
+                              median,  sigma, mean_area);
+  }
+  virtual void _parabolic_pt_per_unit_area(double & a, double & b, 
+                                           const Selector & selector, 
+                                           double exclude_above=-1.0, 
+                                           bool use_area_4vector=false) const;
 
 private:
@@ -305,5 +344,24 @@
   /// check the jet algorithm is suitable (and if not issue a warning)
   void _check_jet_alg_good_for_median() const;
-  
+
+  // the following set of private methods are all deprecated. Their
+  // role is simply to hide the corresponding methods (without the
+  // first underscore) from the public interface so that they can be
+  // used internally until all the deprecated methods are removed.
+  // DO NOT USE ANY OF THESE METHODS: THEY ARE DEPRECATED AND WILL BE
+  // REMOVED.
+  double _median_pt_per_unit_area(const Selector & selector) const;
+  double _median_pt_per_unit_area_4vector(const Selector & selector) const;
+  double _median_pt_per_unit_something(const Selector & selector,
+                                       bool use_area_4vector) const;
+  std::vector<PseudoJet> _subtracted_jets(const double rho,
+                                          const double ptmin=0.0) const;
+  PseudoJet _subtracted_jet(const PseudoJet & jet,
+                            const double rho) const;
+  PseudoJet _subtracted_jet(const PseudoJet & jet,
+                            const Selector & selector) const;
+  double _subtracted_pt(const PseudoJet & jet,
+                        const double rho,
+                        bool use_area_4vector=false) const;
 };
 