Index: examples/delphes_card_ATLAS.tcl
===================================================================
--- examples/delphes_card_ATLAS.tcl	(revision b96d99b2c599ac82a0c4abbf1e2bbf2962241aba)
+++ examples/delphes_card_ATLAS.tcl	(revision 63178fbb863c6618fc9aec5d5df92fd09ac79dab)
@@ -522,9 +522,7 @@
 ##################
 
-
 # tracks, towers and eflow objects are not stored by default in the output.
-# if needed (for jet constituent or other studies), uncomment the relevant 
-# "add Branch ..." lines. 
-
+# if needed (for jet constituent or other studies), uncomment the relevant
+# "add Branch ..." lines.
 
 module TreeWriter TreeWriter {
@@ -534,8 +532,9 @@
 #  add Branch TrackMerger/tracks Track Track
 #  add Branch Calorimeter/towers Tower Tower
+
 #  add Branch Calorimeter/eflowTracks EFlowTrack Track
 #  add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
 #  add Branch Calorimeter/eflowNeutralHadrons EFlowNeutralHadron Tower
- 
+
   add Branch GenJetFinder/jets GenJet Jet
   add Branch UniqueObjectFinder/jets Jet Jet
Index: examples/delphes_card_ATLAS_PileUp.tcl
===================================================================
--- examples/delphes_card_ATLAS_PileUp.tcl	(revision b96d99b2c599ac82a0c4abbf1e2bbf2962241aba)
+++ examples/delphes_card_ATLAS_PileUp.tcl	(revision 63178fbb863c6618fc9aec5d5df92fd09ac79dab)
@@ -66,13 +66,13 @@
   # average expected pile up
   set MeanPileUp 50
-  
-  # maximum spread in the beam direction in m 
+
+  # maximum spread in the beam direction in m
   set ZVertexSpread 0.10
-  
+
   # maximum spread in time in s
   set TVertexSpread 1.5E-09
 
   # vertex smearing formula f(z,t) (z,t need to be respectively given in m,s)
-  
+
   set VertexDistributionFormula {exp(-(t^2/(2*(0.05/2.99792458E8*exp(-(z^2/(2*(0.05)^2))))^2)))}
 
@@ -250,5 +250,5 @@
   set EFlowPhotonOutputArray eflowPhotons
   set EFlowNeutralHadronOutputArray eflowNeutralHadrons
-  
+
   set pi [expr {acos(-1)}]
 
@@ -334,5 +334,5 @@
   add InputArray Calorimeter/eflowNeutralHadrons
   set OutputArray eflowTowers
-} 
+}
 
 
@@ -340,5 +340,5 @@
 # Energy flow merger
 ####################
-  
+
 module Merger EFlowMerger {
 # add InputArray InputArray
@@ -347,5 +347,5 @@
   add InputArray Calorimeter/eflowNeutralHadrons
   set OutputArray eflow
-} 
+}
 
 
@@ -635,9 +635,7 @@
 ##################
 
-
 # tracks, towers and eflow objects are not stored by default in the output.
-# if needed (for jet constituent or other studies), uncomment the relevant 
-# "add Branch ..." lines. 
-
+# if needed (for jet constituent or other studies), uncomment the relevant
+# "add Branch ..." lines.
 
 module TreeWriter TreeWriter {
@@ -647,4 +645,5 @@
 #  add Branch TrackMerger/tracks Track Track
 #  add Branch Calorimeter/towers Tower Tower
+
 #  add Branch Calorimeter/eflowTracks EFlowTrack Track
 #  add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
Index: examples/delphes_card_CMS.tcl
===================================================================
--- examples/delphes_card_CMS.tcl	(revision b96d99b2c599ac82a0c4abbf1e2bbf2962241aba)
+++ examples/delphes_card_CMS.tcl	(revision 63178fbb863c6618fc9aec5d5df92fd09ac79dab)
@@ -535,18 +535,18 @@
 
 # tracks, towers and eflow objects are not stored by default in the output.
-# if needed (for jet constituent or other studies), uncomment the relevant 
-# "add Branch ..." lines. 
+# if needed (for jet constituent or other studies), uncomment the relevant
+# "add Branch ..." lines.
 
 module TreeWriter TreeWriter {
 # add Branch InputArray BranchName BranchClass
- 
   add Branch Delphes/allParticles Particle GenParticle
 
 #  add Branch TrackMerger/tracks Track Track
 #  add Branch Calorimeter/towers Tower Tower
-  add Branch Calorimeter/eflowTracks EFlowTrack Track
-  add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
-  add Branch Calorimeter/eflowNeutralHadrons EFlowNeutralHadron Tower
- 
+
+#  add Branch Calorimeter/eflowTracks EFlowTrack Track
+#  add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
+#  add Branch Calorimeter/eflowNeutralHadrons EFlowNeutralHadron Tower
+
   add Branch GenJetFinder/jets GenJet Jet
   add Branch UniqueObjectFinder/jets Jet Jet
Index: examples/delphes_card_CMS_PileUp.tcl
===================================================================
--- examples/delphes_card_CMS_PileUp.tcl	(revision b96d99b2c599ac82a0c4abbf1e2bbf2962241aba)
+++ examples/delphes_card_CMS_PileUp.tcl	(revision 63178fbb863c6618fc9aec5d5df92fd09ac79dab)
@@ -68,13 +68,13 @@
   # average expected pile up
   set MeanPileUp 10
-  
-  # maximum spread in the beam direction in m 
+
+  # maximum spread in the beam direction in m
   set ZVertexSpread 0.10
-  
+
   # maximum spread in time in s
   set TVertexSpread 1.5E-09
 
   # vertex smearing formula f(z,t) (z,t need to be respectively given in m,s)
-  
+
   set VertexDistributionFormula {exp(-(t^2/(2*(0.05/2.99792458E8*exp(-(z^2/(2*(0.05)^2))))^2)))}
 
@@ -329,5 +329,5 @@
   add InputArray ElectronEnergySmearing/electrons electrons
   add InputArray MuonMomentumSmearing/muons muons
-  
+
   set VertexInputArray PileUpMerger/vertices
   # assume perfect pile-up subtraction for tracks with |z| > fZVertexResolution
@@ -379,5 +379,5 @@
   set ParameterR 0.6
   set GhostEtaMax 5.0
-  
+
   add RhoEtaRange 0.0 2.5
   add RhoEtaRange 2.5 5.0
@@ -435,5 +435,5 @@
   # Z vertex resolution in m
   set ZVertexResolution 0.0001
-  
+
   set OutputArray jets
 
@@ -676,15 +676,14 @@
 
 # tracks, towers and eflow objects are not stored by default in the output.
-# if needed (for jet constituent or other studies), uncomment the relevant 
-# "add Branch ..." lines. 
-
+# if needed (for jet constituent or other studies), uncomment the relevant
+# "add Branch ..." lines.
 
 module TreeWriter TreeWriter {
 # add Branch InputArray BranchName BranchClass
-  
   add Branch Delphes/allParticles Particle GenParticle
 
 #  add Branch TrackMerger/tracks Track Track
 #  add Branch Calorimeter/towers Tower Tower
+
 #  add Branch Calorimeter/eflowTracks EFlowTrack Track
 #  add Branch Calorimeter/eflowPhotons EFlowPhoton Tower
Index: examples/delphes_card_FCC_basic.tcl
===================================================================
--- examples/delphes_card_FCC_basic.tcl	(revision b96d99b2c599ac82a0c4abbf1e2bbf2962241aba)
+++ examples/delphes_card_FCC_basic.tcl	(revision 63178fbb863c6618fc9aec5d5df92fd09ac79dab)
@@ -498,7 +498,8 @@
   add Branch GenJetFinder/jets GenJet Jet
   
+  add Branch ChargedHadronMomentumSmearing/chargedHadrons ChargedHadron Track
   add Branch Hcal/eflowNeutralHadrons NeutralHadron Tower
   add Branch Ecal/eflowPhotons Photon Photon
-  add Branch ChargedHadronMomentumSmearing/chargedHadrons ChargedHadron Track
+
   add Branch ElectronEnergySmearing/electrons Electron Electron
   add Branch MuonMomentumSmearing/muons Muon Muon