Index: doc/delphes_diagram.svg
===================================================================
--- doc/delphes_diagram.svg	(revision c37f9aec19879992e3f75a2d56e641a66f726fd2)
+++ doc/delphes_diagram.svg	(revision 75654b18f3f93f49dda84e778fdc6fe769e62b24)
@@ -10,5 +10,5 @@
    xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
    xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="540"
+   width="600"
    height="800"
    id="svg2"
@@ -867,6 +867,6 @@
      inkscape:pageshadow="2"
      inkscape:zoom="0.70710678"
-     inkscape:cx="310.66542"
-     inkscape:cy="404.09942"
+     inkscape:cx="486.52926"
+     inkscape:cy="394.24715"
      inkscape:document-units="px"
      inkscape:current-layer="layer1"
@@ -908,14 +908,14 @@
      transform="translate(0,-252.36217)">
     <rect
-       style="opacity:0.75;fill:#c5e0dc;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
+       style="opacity:0.75;fill:#c5e0dc;fill-opacity:1;stroke:#000000;stroke-width:1.08012342;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
        id="rect3903"
-       width="360"
+       width="420"
        height="400"
-       x="160.00027"
-       y="392.57901"
+       x="160"
+       y="392.36218"
        ry="36.866348" />
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Lend)"
-       d="m 290,362.36217 1.5e-4,26.78318"
+       d="m 329.99993,362.3622 1.5e-4,26.78318"
        id="path3915"
        inkscape:connector-curvature="0"
@@ -923,5 +923,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="m 230,332.36217 0,30"
+       d="m 269.99993,332.3622 0,30"
        id="path4731"
        inkscape:connector-curvature="0"
@@ -929,5 +929,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="m 350,332.36217 0,30"
+       d="m 389.99993,332.3622 0,30"
        id="path4733"
        inkscape:connector-curvature="0"
@@ -940,8 +940,9 @@
        sodipodi:nodetypes="cc" />
     <g
-       id="g4499">
+       id="g4499"
+       transform="translate(39.999928,2.6800781e-5)">
       <path
          transform="translate(145,339.99999)"
-         d="m 185,72.362183 a 40,10 0 1 1 -80,0 40,10 0 1 1 80,0 z"
+         d="m 185,72.362183 c 0,5.522847 -17.90861,10 -40,10 -22.09139,0 -40,-4.477153 -40,-10 0,-5.522848 17.90861,-10 40,-10 22.09139,0 40,4.477152 40,10 z"
          sodipodi:ry="10"
          sodipodi:rx="40"
@@ -989,12 +990,12 @@
     </g>
     <g
-       id="g6502"
-       transform="translate(-69.999787,120.21678)">
+       id="g4473"
+       transform="translate(10,-1.2617188e-5)">
       <rect
          ry="10"
-         y="402.36221"
-         x="440.00006"
+         y="522.36218"
+         x="360"
          height="20"
-         width="80"
+         width="160"
          id="rect5351-61"
          style="opacity:0.75;fill:#f2d4af;fill-opacity:0.74901961;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
@@ -1002,13 +1003,13 @@
          sodipodi:linespacing="125%"
          id="text5342-2-89"
-         y="416.67374"
-         x="480.09235"
+         y="536.76111"
+         x="440.09668"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:18px;text-align:center;text-anchor:middle"
-           y="416.67374"
-           x="480.09235"
+           y="536.76111"
+           x="440.09668"
            id="tspan5344-2-2"
-           sodipodi:role="line">all stable</tspan></text>
+           sodipodi:role="line">all stable particles</tspan></text>
     </g>
     <g
@@ -1097,12 +1098,11 @@
        sodipodi:nodetypes="cc" />
     <g
-       id="g4469"
-       transform="translate(-2.746582e-4,-0.21679805)">
+       id="g4486">
       <rect
          ry="0"
-         y="562.57898"
-         x="330.00027"
+         y="562.36218"
+         x="350"
          height="39.999989"
-         width="160"
+         width="200"
          id="rect5351-2"
          style="opacity:0.75;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
@@ -1110,17 +1110,17 @@
          sodipodi:linespacing="100%"
          id="text5342-2-86"
-         y="577.9032"
-         x="409.68387"
+         y="577.6864"
+         x="449.68359"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:100%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:18px;text-align:center;line-height:100%;text-anchor:middle"
-           y="577.9032"
-           x="409.68387"
+           y="577.6864"
+           x="449.68359"
            id="tspan5344-2-0"
            sodipodi:role="line">calorimeter</tspan><tspan
            id="tspan3282"
            style="font-size:18px;text-align:center;line-height:100%;text-anchor:middle"
-           y="595.9032"
-           x="409.68387"
+           y="595.6864"
+           x="449.68359"
            sodipodi:role="line">and energy flow</tspan></text>
     </g>
@@ -1133,10 +1133,10 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 350,602.36217 -7e-5,16.99998"
+       d="m 370,602.36217 -7e-5,16.99998"
        id="path8427-2"
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
     <g
-       id="g4516">
+       id="g4503">
       <rect
          ry="0"
@@ -1144,17 +1144,17 @@
          x="190"
          height="20"
-         width="240"
+         width="280"
          id="rect5351-2-1-1"
-         style="opacity:0.75000000000000000;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
+         style="opacity:0.75;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
       <text
          sodipodi:linespacing="125%"
          id="text5342-2-86-3-3"
          y="776.72595"
-         x="309.83301"
+         x="329.83301"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:18px;text-align:center;text-anchor:middle"
            y="776.72595"
-           x="309.83301"
+           x="329.83301"
            id="tspan5344-2-0-8-5"
            sodipodi:role="line">unique object finder</tspan></text>
@@ -1162,5 +1162,5 @@
     <g
        id="g4365"
-       transform="translate(-230,4.9999874)">
+       transform="translate(-210,4.9999862)">
       <rect
          ry="0"
@@ -1210,5 +1210,5 @@
     <g
        id="g6607"
-       transform="translate(9.999939,89.999987)">
+       transform="translate(29.999939,89.999986)">
       <rect
          ry="10"
@@ -1234,5 +1234,5 @@
     <g
        id="g6617"
-       transform="translate(-10.000061,159.99999)">
+       transform="translate(29.999939,159.99999)">
       <rect
          ry="10"
@@ -1282,5 +1282,5 @@
     <g
        id="g6612"
-       transform="translate(-29.999787,90.216807)">
+       transform="translate(29.999939,89.999987)">
       <rect
          ry="10"
@@ -1306,5 +1306,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8)"
-       d="m 350,782.36217 -7e-5,26.99998"
+       d="m 370,782.36217 -7e-5,26.99998"
        id="path8832-6"
        inkscape:connector-curvature="0"
@@ -1323,18 +1323,18 @@
        sodipodi:nodetypes="cc" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8-83)"
-       d="m 290,862.36217 c 5,10 10,15 20,20"
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend-8-83)"
+       d="m 290,862.36217 c 5,10 20,15 40,20"
        id="path10671"
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8-83)"
-       d="m 410,862.36217 c -5,10 -10,15 -20,20"
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend-8-83)"
+       d="m 450,862.36217 c -5,10 -20,15 -40,20"
        id="path10675"
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
     <path
-       style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8-83)"
-       d="m 470,832.36217 c -7e-5,39.99998 -27,70 -67,70"
+       style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend-8-83)"
+       d="m 530,832.36217 c 0,30 -50,70 -107,70"
        id="path10677"
        inkscape:connector-curvature="0"
@@ -1342,5 +1342,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend-8-83)"
-       d="m 210,832.36217 c 0,40 35.0597,70 87,70"
+       d="m 210,832.36217 c 0,30 50,70 107,70"
        id="path10679"
        inkscape:connector-curvature="0"
@@ -1348,5 +1348,5 @@
     <g
        id="g4196"
-       transform="translate(-139.99993,-50.000009)">
+       transform="translate(-100,-49.999982)">
       <rect
          ry="20"
@@ -1372,5 +1372,5 @@
     <g
        id="g4180"
-       transform="translate(-140.00008,-49.78321)">
+       transform="translate(-100.00015,-49.783183)">
       <path
          style="opacity:0.75;fill:#f1d4af;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1"
@@ -1440,5 +1440,5 @@
     <g
        id="g4186"
-       transform="translate(-139.99993,-50.000009)">
+       transform="translate(-100,-49.999982)">
       <rect
          ry="20"
@@ -1464,5 +1464,5 @@
     <g
        id="g4191"
-       transform="translate(-139.99993,-50.000009)">
+       transform="translate(-100,-49.999982)">
       <rect
          ry="20"
@@ -1541,5 +1541,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 350,677.36217 -7e-5,81.99998"
+       d="m 370,677.36217 -7e-5,81.99998"
        id="path8427-0-7-9-1"
        inkscape:connector-curvature="0"
@@ -1547,5 +1547,5 @@
     <g
        id="g4759"
-       transform="translate(-10,134.99999)">
+       transform="translate(30,134.99999)">
       <rect
          ry="0"
@@ -1570,5 +1570,5 @@
     </g>
     <g
-       id="g4471">
+       id="g4481">
       <rect
          ry="0"
@@ -1576,5 +1576,5 @@
          x="190"
          height="19.999876"
-         width="240"
+         width="280"
          id="rect5351-2-16"
          style="opacity:0.75;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
@@ -1583,10 +1583,10 @@
          id="text5342-2-86-8"
          y="496.68634"
-         x="309.83301"
+         x="329.83301"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:18px;text-align:center;text-anchor:middle"
            y="496.68634"
-           x="309.83301"
+           x="329.83301"
            id="tspan5344-2-0-5"
            sodipodi:role="line">particle propagator</tspan></text>
@@ -1600,10 +1600,11 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 290,462.36217 0,17"
+       d="m 329.99993,462.3622 0,17"
        id="path8427-3-4"
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
     <g
-       id="g4491">
+       id="g4491"
+       transform="translate(39.999928,2.6800781e-5)">
       <rect
          ry="0"
@@ -1629,5 +1630,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 290,422.36217 0,17"
+       d="m 329.99993,422.3622 0,17"
        id="path8427-3-4-5"
        inkscape:connector-curvature="0"
@@ -1669,5 +1670,5 @@
     </g>
     <g
-       transform="translate(-80.000084,60.000048)"
+       transform="translate(-60.000084,60.00001)"
        id="g3241">
       <rect
@@ -1693,5 +1694,5 @@
     </g>
     <g
-       transform="translate(-200.00008,146.15724)"
+       transform="translate(-180.00006,146.15724)"
        id="g3241-7">
       <rect
@@ -1723,5 +1724,5 @@
     <g
        id="g3335"
-       transform="translate(100.00001,23.684619)">
+       transform="translate(120.00003,23.684619)">
       <g
          id="g3332">
@@ -1754,5 +1755,5 @@
     </g>
     <g
-       transform="translate(-80.000084,150.00001)"
+       transform="translate(-60.000063,150.00001)"
        id="g3241-7-45">
       <rect
@@ -1779,5 +1780,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Lend)"
-       d="m 350,942.36217 0,27"
+       d="m 370,942.36217 0,27"
        id="path3346"
        inkscape:connector-curvature="0"
@@ -1785,5 +1786,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#marker6647)"
-       d="m 300,922.36217 c -20,0 -39,-3 -69,47"
+       d="m 320,922.36217 c -20,0 -39,-3 -69,47"
        id="path6741"
        inkscape:connector-curvature="0"
@@ -1791,5 +1792,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#marker6647)"
-       d="m 400,922.36217 c 20,0 39,-3 69,47"
+       d="m 420,922.36217 c 20,0 39,-3 69,47"
        id="path6743"
        inkscape:connector-curvature="0"
@@ -1797,5 +1798,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8-18)"
-       d="m 350,832.36217 0,47"
+       d="m 370,832.36217 0,47"
        id="path7249"
        inkscape:connector-curvature="0"
@@ -1803,5 +1804,5 @@
     <g
        id="g4754"
-       transform="translate(-20,199.99999)">
+       transform="translate(40,199.99999)">
       <rect
          ry="0"
@@ -1827,5 +1828,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 410,542.36217 -7e-5,16.99998"
+       d="m 450,542.36217 -7e-5,16.99998"
        id="path8427-0-7-9-1-1-5"
        inkscape:connector-curvature="0"
@@ -1845,10 +1846,10 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8-83)"
-       d="m 410,782.36217 -7e-5,56.99998"
+       d="m 450,782.36217 -7e-5,56.99998"
        id="path10208-2"
        inkscape:connector-curvature="0"
        sodipodi:nodetypes="cc" />
     <g
-       transform="matrix(0.0350605,0,0,0.0350605,437.12555,433.94516)"
+       transform="matrix(0.0350605,0,0,0.0350605,487.12535,433.72834)"
        id="g3941">
       <g
@@ -2063,5 +2064,5 @@
     </g>
     <g
-       id="g4508">
+       id="g4495">
       <rect
          ry="0"
@@ -2069,5 +2070,5 @@
          x="190"
          height="19.999876"
-         width="240"
+         width="280"
          id="rect5351-2-16-74"
          style="opacity:0.75;fill:#ffffff;fill-opacity:1;stroke:#000000;stroke-width:1;stroke-linejoin:round;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none" />
@@ -2076,10 +2077,10 @@
          id="text5342-2-86-8-0"
          y="636.76117"
-         x="310.12744"
+         x="330.12744"
          style="font-size:40px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;line-height:125%;letter-spacing:0px;word-spacing:0px;fill:#000000;fill-opacity:1;stroke:none;font-family:Cambria;-inkscape-font-specification:Cambria"
          xml:space="preserve"><tspan
            style="font-size:18px;text-align:center;text-anchor:middle"
            y="636.76117"
-           x="310.12744"
+           x="330.12744"
            id="tspan5344-2-0-5-9"
            sodipodi:role="line">pile-up subtractors</tspan></text>
@@ -2087,5 +2088,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 410,602.36217 -7e-5,16.99998"
+       d="m 450,602.36217 -7e-5,16.99998"
        id="path8427-0-7-2-4"
        inkscape:connector-curvature="0"
@@ -2093,5 +2094,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 410,642.36217 -7e-5,11.99998"
+       d="m 450,642.36217 -7e-5,11.99998"
        id="path8427-0-7-2-2"
        inkscape:connector-curvature="0"
@@ -2099,5 +2100,5 @@
     <g
        id="g4575"
-       transform="translate(80,34.999987)">
+       transform="translate(120,34.999987)">
       <rect
          ry="0"
@@ -2123,5 +2124,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 410,677.36217 -7e-5,11.99998"
+       d="m 450,677.36217 -7e-5,11.99998"
        id="path8427-0-7-2-2-9"
        inkscape:connector-curvature="0"
@@ -2129,5 +2130,5 @@
     <g
        id="g3320"
-       transform="translate(80,-35.000013)">
+       transform="translate(120,-35.000013)">
       <rect
          ry="0"
@@ -2153,5 +2154,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 410,712.36217 -7e-5,11.99998"
+       d="m 450,712.36217 -7e-5,11.99998"
        id="path8427-0-7-2-2-9-1"
        inkscape:connector-curvature="0"
@@ -2171,5 +2172,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 350,642.36217 -7e-5,11.99998"
+       d="m 370,642.36217 -7e-5,11.99998"
        id="path8427-0-7-2-2-2"
        inkscape:connector-curvature="0"
@@ -2177,5 +2178,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 410,747.36217 -7e-5,11.99998"
+       d="m 450,747.36217 -7e-5,11.99998"
        id="path8427-0-7-2-2-9-1-9"
        inkscape:connector-curvature="0"
@@ -2195,5 +2196,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend)"
-       d="m 410,502.36217 0,17"
+       d="m 450,502.36217 0,17"
        id="path8427-41-14"
        inkscape:connector-curvature="0"
@@ -2225,5 +2226,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none;marker-end:url(#Arrow1Mend)"
-       d="m 470,602.36217 0,157"
+       d="m 530,602.36217 0,157"
        id="path8427-0-9-2"
        inkscape:connector-curvature="0"
@@ -2231,5 +2232,5 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;marker-end:url(#Arrow1Mend-8)"
-       d="m 470,782.36217 -7e-5,26.99998"
+       d="m 530,782.36217 -7e-5,26.99998"
        id="path8832-6-4"
        inkscape:connector-curvature="0"
@@ -2237,8 +2238,7 @@
     <path
        style="fill:none;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
-       d="m 110,80 0,30 360,0 0,-30"
+       d="m 149.99993,332.3622 0,30 360,0 0,-30"
        id="path4506"
-       inkscape:connector-curvature="0"
-       transform="translate(0,252.36217)" />
+       inkscape:connector-curvature="0" />
   </g>
 </svg>