Index: Makefile
===================================================================
--- Makefile	(revision 95a917cf8aaee69b11595b3c0e1e062a6e934815)
+++ Makefile	(revision 90345e5e51b5e04ee05366a231dbb82c371dea54)
@@ -235,12 +235,5 @@
 	external/ExRootAnalysis/ExRootProgressBar.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
-	external/HepMC3/ReaderAscii.h \
-	external/HepMC3/GenEvent.h \
-	external/HepMC3/GenCrossSection.h \
-	external/HepMC3/GenPdfInfo.h \
-	external/HepMC3/GenParticle.h \
-	external/HepMC3/GenVertex.h \
-	external/HepMC3/Units.h
+	external/ExRootAnalysis/ExRootTreeWriter.h
 DelphesLHEF$(ExeSuf): \
 	tmp/readers/DelphesLHEF.$(ObjSuf)
@@ -678,57 +671,4 @@
 tmp/external/Hector/H_VerticalQuadrupole.$(ObjSuf): \
 	external/Hector/H_VerticalQuadrupole.$(SrcSuf)
-tmp/external/HepMC3/GenCrossSection.$(ObjSuf): \
-	external/HepMC3/GenCrossSection.$(SrcSuf) \
-	external/HepMC3/GenCrossSection.h \
-	external/HepMC3/GenEvent.h
-tmp/external/HepMC3/GenEvent.$(ObjSuf): \
-	external/HepMC3/GenEvent.$(SrcSuf) \
-	external/HepMC3/GenEvent.h \
-	external/HepMC3/GenParticle.h \
-	external/HepMC3/GenVertex.h \
-	external/HepMC3/Data/GenEventData.h
-tmp/external/HepMC3/GenHeavyIon.$(ObjSuf): \
-	external/HepMC3/GenHeavyIon.$(SrcSuf) \
-	external/HepMC3/GenHeavyIon.h
-tmp/external/HepMC3/GenParticle.$(ObjSuf): \
-	external/HepMC3/GenParticle.$(SrcSuf) \
-	external/HepMC3/GenParticle.h \
-	external/HepMC3/GenVertex.h \
-	external/HepMC3/GenEvent.h \
-	external/HepMC3/Setup.h \
-	external/HepMC3/Attribute.h
-tmp/external/HepMC3/GenPdfInfo.$(ObjSuf): \
-	external/HepMC3/GenPdfInfo.$(SrcSuf) \
-	external/HepMC3/GenPdfInfo.h
-tmp/external/HepMC3/GenRunInfo.$(ObjSuf): \
-	external/HepMC3/GenRunInfo.$(SrcSuf) \
-	external/HepMC3/GenRunInfo.h \
-	external/HepMC3/Data/GenRunInfoData.h
-tmp/external/HepMC3/GenVertex.$(ObjSuf): \
-	external/HepMC3/GenVertex.$(SrcSuf) \
-	external/HepMC3/GenVertex.h \
-	external/HepMC3/GenParticle.h \
-	external/HepMC3/GenEvent.h \
-	external/HepMC3/Setup.h \
-	external/HepMC3/Attribute.h
-tmp/external/HepMC3/ReaderAscii.$(ObjSuf): \
-	external/HepMC3/ReaderAscii.$(SrcSuf) \
-	external/HepMC3/ReaderAscii.h \
-	external/HepMC3/GenEvent.h \
-	external/HepMC3/GenParticle.h \
-	external/HepMC3/GenVertex.h \
-	external/HepMC3/Units.h
-tmp/external/HepMC3/ReaderAsciiHepMC2.$(ObjSuf): \
-	external/HepMC3/ReaderAsciiHepMC2.$(SrcSuf) \
-	external/HepMC3/ReaderAsciiHepMC2.h \
-	external/HepMC3/GenEvent.h \
-	external/HepMC3/GenVertex.h \
-	external/HepMC3/GenParticle.h \
-	external/HepMC3/GenHeavyIon.h \
-	external/HepMC3/GenPdfInfo.h \
-	external/HepMC3/Setup.h
-tmp/external/HepMC3/Setup.$(ObjSuf): \
-	external/HepMC3/Setup.$(SrcSuf) \
-	external/HepMC3/Setup.h
 tmp/external/TrackCovariance/AcceptanceClx.$(ObjSuf): \
 	external/TrackCovariance/AcceptanceClx.$(SrcSuf)
@@ -1272,14 +1212,4 @@
 	tmp/external/Hector/H_VerticalKicker.$(ObjSuf) \
 	tmp/external/Hector/H_VerticalQuadrupole.$(ObjSuf) \
-	tmp/external/HepMC3/GenCrossSection.$(ObjSuf) \
-	tmp/external/HepMC3/GenEvent.$(ObjSuf) \
-	tmp/external/HepMC3/GenHeavyIon.$(ObjSuf) \
-	tmp/external/HepMC3/GenParticle.$(ObjSuf) \
-	tmp/external/HepMC3/GenPdfInfo.$(ObjSuf) \
-	tmp/external/HepMC3/GenRunInfo.$(ObjSuf) \
-	tmp/external/HepMC3/GenVertex.$(ObjSuf) \
-	tmp/external/HepMC3/ReaderAscii.$(ObjSuf) \
-	tmp/external/HepMC3/ReaderAsciiHepMC2.$(ObjSuf) \
-	tmp/external/HepMC3/Setup.$(ObjSuf) \
 	tmp/external/TrackCovariance/AcceptanceClx.$(ObjSuf) \
 	tmp/external/TrackCovariance/ObsTrk.$(ObjSuf) \
@@ -1975,10 +1905,4 @@
 	@touch $@
 
-external/HepMC3/Units.h: \
-	external/HepMC3/Errors.h \
-	external/HepMC3/Setup.h \
-	external/HepMC3/FourVector.h
-	@touch $@
-
 external/fastjet/ClusterSequence.hh: \
 	external/fastjet/PseudoJet.hh \
@@ -2065,9 +1989,9 @@
 	@touch $@
 
+modules/Isolation.h: \
+	classes/DelphesModule.h
+	@touch $@
+
 modules/EnergyScale.h: \
-	classes/DelphesModule.h
-	@touch $@
-
-modules/Isolation.h: \
 	classes/DelphesModule.h
 	@touch $@
@@ -2116,9 +2040,4 @@
 modules/TrackPileUpSubtractor.h: \
 	classes/DelphesModule.h
-	@touch $@
-
-external/HepMC3/ReaderAscii.h: \
-	external/HepMC3/Reader.h \
-	external/HepMC3/GenEvent.h
 	@touch $@
 
@@ -2179,16 +2098,6 @@
 	@touch $@
 
-external/HepMC3/Data/GenEventData.h: \
-	external/HepMC3/Data/GenParticleData.h \
-	external/HepMC3/Data/GenVertexData.h \
-	external/HepMC3/Units.h
-	@touch $@
-
 modules/PileUpMerger.h: \
 	classes/DelphesModule.h
-	@touch $@
-
-external/HepMC3/GenPdfInfo.h: \
-	external/HepMC3/Attribute.h
 	@touch $@
 
@@ -2222,9 +2131,4 @@
 modules/Cloner.h: \
 	classes/DelphesModule.h
-	@touch $@
-
-external/HepMC3/ReaderAsciiHepMC2.h: \
-	external/HepMC3/Reader.h \
-	external/HepMC3/GenEvent.h
 	@touch $@
 
@@ -2286,9 +2190,4 @@
 	@touch $@
 
-external/HepMC3/Attribute.h: \
-	external/HepMC3/GenParticle_fwd.h \
-	external/HepMC3/GenVertex_fwd.h
-	@touch $@
-
 modules/VertexSorter.h: \
 	classes/DelphesModule.h
@@ -2330,9 +2229,4 @@
 	@touch $@
 
-external/HepMC3/GenRunInfo.h: \
-	external/HepMC3/Units.h \
-	external/HepMC3/Attribute.h
-	@touch $@
-
 modules/PdgCodeFilter.h: \
 	classes/DelphesModule.h
@@ -2345,21 +2239,4 @@
 classes/DelphesSTDHEPReader.h: \
 	classes/DelphesXDRReader.h
-	@touch $@
-
-external/HepMC3/GenEvent.h: \
-	external/HepMC3/Units.h \
-	external/HepMC3/GenParticle_fwd.h \
-	external/HepMC3/GenVertex_fwd.h \
-	external/HepMC3/GenPdfInfo_fwd.h \
-	external/HepMC3/GenHeavyIon_fwd.h \
-	external/HepMC3/GenCrossSection_fwd.h \
-	external/HepMC3/GenHeavyIon.h \
-	external/HepMC3/GenPdfInfo.h \
-	external/HepMC3/GenCrossSection.h \
-	external/HepMC3/GenRunInfo.h
-	@touch $@
-
-external/HepMC3/GenHeavyIon.h: \
-	external/HepMC3/Attribute.h
 	@touch $@
 
@@ -2432,12 +2309,4 @@
 	@touch $@
 
-external/HepMC3/GenVertex.h: \
-	external/HepMC3/GenParticle_fwd.h \
-	external/HepMC3/GenVertex_fwd.h \
-	external/HepMC3/Data/GenVertexData.h \
-	external/HepMC3/FourVector.h \
-	external/HepMC3/GenEvent.h
-	@touch $@
-
 modules/ClusterCounting.h: \
 	classes/DelphesModule.h
@@ -2451,8 +2320,4 @@
 	external/fastjet/JetDefinition.hh \
 	external/fastjet/PseudoJet.hh
-	@touch $@
-
-external/HepMC3/GenCrossSection.h: \
-	external/HepMC3/Attribute.h
 	@touch $@
 
@@ -2507,12 +2372,4 @@
 modules/StatusPidFilter.h: \
 	classes/DelphesModule.h
-	@touch $@
-
-external/HepMC3/GenParticle.h: \
-	external/HepMC3/Data/GenParticleData.h \
-	external/HepMC3/FourVector.h \
-	external/HepMC3/GenParticle_fwd.h \
-	external/HepMC3/GenVertex_fwd.h \
-	external/HepMC3/GenEvent.h
 	@touch $@
 