Index: external/fastjet/WrappedStructure.hh
===================================================================
--- external/fastjet/WrappedStructure.hh	(revision 35cdc461e095e63247ab9dded070d76bc2c888e2)
+++ external/fastjet/WrappedStructure.hh	(revision 92237ca859b003026b5fcdec8e41b9088fdb5736)
@@ -1,4 +1,4 @@
 //FJSTARTHEADER
-// $Id: WrappedStructure.hh 3433 2014-07-23 08:17:03Z salam $
+// $Id: WrappedStructure.hh 4047 2016-03-03 13:21:49Z soyez $
 //
 // Copyright (c) 2005-2014, Matteo Cacciari, Gavin P. Salam and Gregory Soyez
@@ -57,5 +57,5 @@
   WrappedStructure(const SharedPtr<PseudoJetStructureBase> & to_be_shared)
     : _structure(to_be_shared){
-    if (!_structure())
+    if (!_structure)
       throw Error("Trying to construct a wrapped structure around an empty (NULL) structure");
   }
@@ -65,5 +65,5 @@
 
   /// description
-  virtual std::string description() const{ 
+  virtual std::string description() const FASTJET_OVERRIDE{ 
     return "PseudoJet wrapping the structure ("+_structure->description()+")"; 
   }
@@ -76,5 +76,5 @@
   //-------------------------------------------------------------
   /// returns true if there is an associated ClusterSequence
-  virtual bool has_associated_cluster_sequence() const {
+  virtual bool has_associated_cluster_sequence() const FASTJET_OVERRIDE {
     return _structure->has_associated_cluster_sequence();
   }
@@ -82,5 +82,5 @@
   /// get a (const) pointer to the parent ClusterSequence (NULL if
   /// inexistent)
-  virtual const ClusterSequence* associated_cluster_sequence() const{
+  virtual const ClusterSequence* associated_cluster_sequence() const FASTJET_OVERRIDE{
     return _structure->associated_cluster_sequence();
   }
@@ -88,5 +88,5 @@
   /// returns true if this PseudoJet has an associated and still
   /// valid ClusterSequence.
-  virtual bool has_valid_cluster_sequence() const {
+  virtual bool has_valid_cluster_sequence() const FASTJET_OVERRIDE {
     return _structure->has_valid_cluster_sequence();
   }
@@ -94,5 +94,5 @@
   /// if the jet has a valid associated cluster sequence then return a
   /// pointer to it; otherwise throw an error
-  virtual const ClusterSequence * validated_cs() const{
+  virtual const ClusterSequence * validated_cs() const FASTJET_OVERRIDE{
     return _structure->validated_cs();
   }
@@ -100,5 +100,5 @@
   /// if the jet has valid area information then return a pointer to
   /// the associated ClusterSequenceAreaBase object; otherwise throw an error
-  virtual const ClusterSequenceAreaBase * validated_csab() const{
+  virtual const ClusterSequenceAreaBase * validated_csab() const FASTJET_OVERRIDE{
     return _structure->validated_csab();
   }
@@ -120,5 +120,5 @@
   ///
   /// By default, throws an Error
-  virtual bool has_partner(const PseudoJet &reference, PseudoJet &partner) const{
+  virtual bool has_partner(const PseudoJet &reference, PseudoJet &partner) const FASTJET_OVERRIDE{
     return _structure->has_partner(reference, partner);
   }
@@ -129,5 +129,5 @@
   /// 
   /// By default, throws an Error
-  virtual bool has_child(const PseudoJet &reference, PseudoJet &child) const{
+  virtual bool has_child(const PseudoJet &reference, PseudoJet &child) const FASTJET_OVERRIDE{
     return _structure->has_child(reference, child);
   }
@@ -138,5 +138,6 @@
   ///
   /// By default, throws an Error
-  virtual bool has_parents(const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const{
+  virtual bool has_parents(const PseudoJet &reference,
+                           PseudoJet &parent1, PseudoJet &parent2) const FASTJET_OVERRIDE{
     return _structure->has_parents(reference, parent1, parent2);
   }
@@ -146,5 +147,6 @@
   ///
   /// By default, throws an Error
-  virtual bool object_in_jet(const PseudoJet &reference, const PseudoJet &jet) const{
+  virtual bool object_in_jet(const PseudoJet &reference,
+                             const PseudoJet &jet) const FASTJET_OVERRIDE{
     return _structure->object_in_jet(reference, jet);
   }
@@ -154,5 +156,5 @@
   ///
   /// false by default
-  virtual bool has_constituents() const {
+  virtual bool has_constituents() const  FASTJET_OVERRIDE{
     return _structure->has_constituents();
   }
@@ -161,10 +163,10 @@
   ///
   /// By default, throws an Error
-  virtual std::vector<PseudoJet> constituents(const PseudoJet &reference) const{
+  virtual std::vector<PseudoJet> constituents(const PseudoJet &reference) const FASTJET_OVERRIDE{
     return _structure->constituents(reference);
   }
 
   /// return true if the structure supports exclusive_subjets. 
-  virtual bool has_exclusive_subjets() const {
+  virtual bool has_exclusive_subjets() const  FASTJET_OVERRIDE{
     return _structure->has_exclusive_subjets();
   }
@@ -180,5 +182,6 @@
   ///
   /// By default, throws an Error
-  virtual std::vector<PseudoJet> exclusive_subjets(const PseudoJet &reference, const double & dcut) const{
+  virtual std::vector<PseudoJet> exclusive_subjets(const PseudoJet &reference,
+                                                   const double & dcut) const FASTJET_OVERRIDE{
     return _structure->exclusive_subjets(reference, dcut);
   }
@@ -189,5 +192,6 @@
   ///
   /// By default, throws an Error
-  virtual int n_exclusive_subjets(const PseudoJet &reference, const double & dcut) const{
+  virtual int n_exclusive_subjets(const PseudoJet &reference,
+                                  const double & dcut) const FASTJET_OVERRIDE{
     return _structure->n_exclusive_subjets(reference, dcut);
   }
@@ -198,5 +202,6 @@
   ///
   /// By default, throws an Error
-  virtual std::vector<PseudoJet> exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const{
+  virtual std::vector<PseudoJet> exclusive_subjets_up_to (const PseudoJet &reference,
+                                                          int nsub) const FASTJET_OVERRIDE{
     return _structure->exclusive_subjets_up_to (reference, nsub);
   }
@@ -206,5 +211,5 @@
   ///
   /// By default, throws an Error
-  virtual double exclusive_subdmerge(const PseudoJet &reference, int nsub) const{
+  virtual double exclusive_subdmerge(const PseudoJet &reference, int nsub) const FASTJET_OVERRIDE{
     return _structure->exclusive_subdmerge(reference, nsub);
   }
@@ -215,5 +220,5 @@
   ///
   /// By default, throws an Error
-  virtual double exclusive_subdmerge_max(const PseudoJet &reference, int nsub) const{
+  virtual double exclusive_subdmerge_max(const PseudoJet &reference, int nsub) const FASTJET_OVERRIDE{
     return _structure->exclusive_subdmerge_max(reference, nsub);
   }
@@ -226,5 +231,5 @@
   ///
   /// false by default
-  virtual bool has_pieces(const PseudoJet &reference) const {
+  virtual bool has_pieces(const PseudoJet &reference) const FASTJET_OVERRIDE {
     return _structure->has_pieces(reference);
   }
@@ -233,5 +238,5 @@
   ///
   /// By default, throws an Error
-  virtual std::vector<PseudoJet> pieces(const PseudoJet &reference) const{
+  virtual std::vector<PseudoJet> pieces(const PseudoJet &reference) const FASTJET_OVERRIDE {
     return _structure->pieces(reference);
   }
@@ -244,5 +249,5 @@
   ///
   /// false by default
-  virtual bool has_area() const {
+  virtual bool has_area() const FASTJET_OVERRIDE  {
     return _structure->has_area();
   }
@@ -251,5 +256,5 @@
   ///
   /// By default, throws an Error
-  virtual double area(const PseudoJet &reference) const{
+  virtual double area(const PseudoJet &reference) const FASTJET_OVERRIDE{
     return _structure->area(reference);
   }
@@ -259,5 +264,5 @@
   ///
   /// By default, throws an Error
-  virtual double area_error(const PseudoJet &reference) const{
+  virtual double area_error(const PseudoJet &reference) const FASTJET_OVERRIDE{
     return _structure->area_error(reference);
   }
@@ -266,5 +271,5 @@
   ///
   /// By default, throws an Error
-  virtual PseudoJet area_4vector(const PseudoJet &reference) const{
+  virtual PseudoJet area_4vector(const PseudoJet &reference) const FASTJET_OVERRIDE{
     return _structure->area_4vector(reference);
   }
@@ -273,5 +278,5 @@
   ///
   /// By default, throws an Error
-  virtual bool is_pure_ghost(const PseudoJet &reference) const{
+  virtual bool is_pure_ghost(const PseudoJet &reference) const FASTJET_OVERRIDE{
     return _structure->is_pure_ghost(reference);
   }